Subject: Re: [Patch net-next v4 3/5] vxlan: add ipv6 support

From: Cong Wang <[email-masked]>
Date: Fri, 19 Apr 2013 19:35:34 +0800

On Thu, 2013-04-18 at 17:34 +0300, Mike Rapoport wrote:
> When building vxlan as module I get:
> 
> MODPOST 45 modules
> VOFFSET arch/x86/boot/voffset.h
> CC      arch/x86/boot/version.o
> AS      arch/x86/boot/compressed/head_64.o
> ERROR: "in6addr_loopback" [drivers/net/vxlan.ko] undefined!
> 
> Seems, that either in6addr_loopback should be exported, or
> IN6ADDR_LOOPBACK_INIT should be used as initializer for
> loopback.va_sin6.

I tried IN6ADDR_LOOPBACK_INIT before in6addr_loopback and got:

drivers/net/vxlan.c:1086:31: error: expected expression before ‘{’ token

So I think we have to export in6addr_loopback.

Thanks for catching it!